SDL_HINT_XINPUT_ENABLED(3)

NAME
SDL_HINT_XINPUT_ENABLED - A variable controlling whether XInput should be used for controller handling.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_XINPUT_ENABLED "SDL_XINPUT_ENABLED"

DESCRIPTION
The variable can be set to the following values:

• "0": XInput is not enabled.

• "1": XInput is enabled. (default)

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.